| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# GaudiHandleProperty Class Reference

`#include <Property.h>`

Inheritance diagram for GaudiHandleProperty:

[legend]
Collaboration diagram for GaudiHandleProperty:

[legend]

List of all members.

## Detailed Description

Definition at line 756 of file Property.h.

## Public Member Functions
| GaudiHandleProperty (const std::string &name, GaudiHandleBase &ref)
GaudiHandleProperty & | operator= (const GaudiHandleBase &value)
virtual GaudiHandleProperty * | clone () const
| clone: "virtual constructor"
virtual bool | load (Property &destination) const
| export the property value to the destination
virtual bool | assign (const Property &source)
| import the property value form the source
virtual std::string | toString () const
| value -> string
virtual StatusCode | fromString (const std::string &s)
| string -> value
const GaudiHandleBase & | value () const
bool | setValue (const GaudiHandleBase &value)
## Private Attributes
GaudiHandleBase * | m_pValue
| Pointer to the real property.

## Constructor & Destructor Documentation

GaudiHandleProperty::GaudiHandleProperty | ( | const std::string & | name,
|  | GaudiHandleBase & | ref |
| ) |  |  |

Definition at line 238 of file Property.cpp.

    00239   : Property( name, typeid( GaudiHandleBase ) ), m_pValue( &ref )
    00240 {
    00241   m_pValue->setPropertyName( name );
    00242 }

## Member Function Documentation

GaudiHandleProperty & GaudiHandleProperty::operator= | ( | const GaudiHandleBase & | value | ) | `[inline]`

Definition at line 786 of file Property.h.

    00786                                                                                          {
    00787       setValue( value );
    00788       return *this;
    00789 }

GaudiHandleProperty * GaudiHandleProperty::clone | ( |  | ) | const`[inline, virtual]`

clone: "virtual constructor"

Implements Property.

Definition at line 791 of file Property.h.

    00791                                                              {
    00792   return new GaudiHandleProperty( *this );
    00793 }

bool GaudiHandleProperty::load | ( | Property & | dest | ) | const`[inline, virtual]`

export the property value to the destination

Implements Property.

Definition at line 795 of file Property.h.

    00795                                                                    {
    00796   return destination.assign( *this );
    00797 }

bool GaudiHandleProperty::assign | ( | const Property & | source | ) | `[inline, virtual]`

import the property value form the source

Implements Property.

Definition at line 799 of file Property.h.

    00799                                                                 {
    00800   return fromString( source.toString() ).isSuccess();
    00801 }

std::string GaudiHandleProperty::toString | ( |  | ) | const`[virtual]`

value -> string

Implements Property.

Definition at line 250 of file Property.cpp.

    00250                                                {
    00251   useReadHandler();
    00252   return m_pValue->typeAndName();
    00253 }

StatusCode GaudiHandleProperty::fromString | ( | const std::string & | value | ) | `[virtual]`

string -> value

Implements Property.

Definition at line 255 of file Property.cpp.

    00255                                                               {
    00256   m_pValue->setTypeAndName( s );
    00257   useUpdateHandler();
    00258   return StatusCode::SUCCESS;
    00259 }

const GaudiHandleBase & GaudiHandleProperty::value | ( |  | ) | const`[inline]`

Definition at line 803 of file Property.h.

    00803                                                                {
    00804   useReadHandler();
    00805   return *m_pValue;
    00806 }

bool GaudiHandleProperty::setValue | ( | const GaudiHandleBase & | value | ) |

Definition at line 244 of file Property.cpp.

    00244                                                                  {
    00245   m_pValue->setTypeAndName( value.typeAndName() );
    00246   useUpdateHandler();
    00247   return true;
    00248 }

## Member Data Documentation

GaudiHandleBase* GaudiHandleProperty::m_pValue`[private]`

Pointer to the real property.

Reference would be better, but Reflex does not support references yet

Definition at line 779 of file Property.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/Property.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/src/Lib/Property.cpp